System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.Design.MenuCommand System.Runtime.InteropServices.ComVisible(true)

A designer verb is a menu command linked to an event handler. Designer verbs are added to a component's shortcut menu at design time. In Visual Studio, each designer verb is also listed, using a , in the Description pane of the Properties window.

Represents a verb that can be invoked from a designer.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Verbs are menu commands that are dynamically inserted into the menu at run time. Verb commands are usually displayed on either an edit menu or on a component's shortcut menu.

  Initializes a new instance of the class.

  The text of the menu command that is shown to the user.
  The event handler that performs the actions of the verb.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Verbs are menu commands that are dynamically inserted into the menu at run time. Verb commands are usually displayed on either an edit menu or on a component's shortcut menu.

  Initializes a new instance of the class.

  The text of the menu command that is shown to the user.
  The event handler that performs the actions of the verb.
  The starting command ID for this verb. By default, the designer architecture sets aside a range of command IDs for verbs. You can override this by providing a custom command ID.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the description of the menu item for the verb.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the text description for the verb command on the menu.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Overrides .

  The verb's text, or an empty string ("") if the text field is empty.